#ifndef __TLV_DEFS_H
#define __TLV_DEFS_H

#include "io430.h"
#include "intrinsics.h"

#define TLV_ADDRESS       (unsigned int)  0x1A00


#define TLV_ADC10_OFFSET  (unsigned int)  0x0014
#define TLV_REF_OFFSET    (unsigned int)  0x0026


const __no_init struct  {
  unsigned char   TAG;
  unsigned char   Lenght;
  unsigned int    CAL_ADC_GAIN_FACTOR;
  unsigned int    CAL_ADC_OFFSET;
  unsigned int    CAL_ADC_15T30;
  unsigned int    CAL_ADC_15T85;
  unsigned int    CAL_ADC_20T30;
  unsigned int    CAL_ADC_20T85;
  unsigned int    CAL_ADC_25T30;
  unsigned int    CAL_ADC_25T85;
}sTlvAdc10 @(TLV_ADDRESS + TLV_ADC10_OFFSET);

const __no_init struct {
  unsigned char   TAG;
  unsigned char   Lenght;
  unsigned int    CAL_ADC_15VREF_FACTOR;
  unsigned int    CAL_ADC_20VREF_FACTOR;
  unsigned int    CAL_ADC_25VREF_FACTOR;
}sTlvRef   @(TLV_ADDRESS + TLV_REF_OFFSET);


#endif
